#include<bits/stdc++.h>
using namespace std;
int main() {
    int n;
    cin>>n;
    vector <int> vp;
    vector <int> vn;
    vector <int> mp;
    vector <int> mn;
    if (n%2==0) {
        for (int i=1; i<=n; i++) {
            if (i%2==0) {
                mp.push_back(i);
            }
            else {
                mn.push_back(i);
            }
        }
        for (int i=n+1; i<n*2+1; i++) {
            if (i%2==0) {
                vp.push_back(i);
            }
            else {
                vn.push_back(i);
            }
        }
        int mpi=0;
        int mni=0;
        int vpi=0;
        int vni=0;
        for (int i=1; i<=n; i++) {
            if (i%2==0) {
                cout<<mn[mni]<<" ";
                mni++;
            }
            else {
                cout<<vp[vpi]<<" ";
                vpi++;
            }
        }
        cout<<endl;
        for (int i=n; i<=2*n-1; i++) {
            if (i%2==0) {
                cout<<vn[vni]<<" ";
                vni++;
            }
            else {
                cout<<mp[mpi]<<" ";
                mpi++;
            }
        }
    }
}